Đến nội dung


Hình ảnh
* * * - - 17 Bình chọn

Hỏi về Lisp (thuật toán, ý tưởng, coding,...)


  • Please log in to reply
2848 replies to this topic

#61 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 29 October 2007 - 03:18 PM

Hỏi thêm bạn một chút: 1 bản vẽ thông thường của "dân xây dựng" có khoảng bao nhiêu đối tượng dimensions?
Mình đã sửa trình lisp của bạn như sau:

(Defun c:Ckt2 ( / ss)   
(if (not (tblsearch "layer" "duongkt"))
(command "layer" "new" "duongkt" "color" "9" "duongkt" "")
)
(princ "\nSelect dimensions or areas that contain dimensions")
(setq ss (ssget '((0 . "dimension"))))
(if (null ss)
(princ "\nObjects not found!")
(command "change" ss "" "p" "la" "duongkt" "")
)
(princ)
)

Kết quả test như sau:
Cấu hình PC: Celeron 1.6GHz, 512 MB RAM
Acad: 2002
Số lượng dimensions: 1564
Thời gian xử lý bằng lệnh ckt (chưa sửa): 5 seconds
Thời gian xử lý bằng lệnh ckt2 (đã sửa): 1 seconds
Kết quả trên cho thấy, (command "change" ss ...) nhanh hơn (while... (command "chprop" e ... )) gấp nhiều lần. Và thời gian khoảng 1 seconds có cần phải hiển thị % action không?
Quan điểm của mình là đặt hiệu quả chạy chương trình lên hàng đầu, không thể vì bất cứ lý do gì mà dùng cách xử lý chậm thay cho cách xử lý nhanh! Với cấu hình PC trung bình hiện nay, nếu trình lisp xử lý một cái gì đó lâu hơn 3 seconds, mình sẽ xem xét lại thuật giải, có lẽ có cái gì đó chưa hay lắm? Nếu cần thì cũng chấp nhận, nhưng mình chỉ cần thông báo cho người dùng biết thời điểm bắt đầu và kết thúc quá trình xử lý. Ví dụ như:
(princ "Program is running. Please wait a moment...")
(processing....)
(princ "\nFinish!")
Chính các phần mềm "có tên tuổi", ngay cả Microsoft cũng thường làm như vậy, không thể nói là "không bài bản" được!
Tất nhiên, mỗi người đều có quan điểm riêng. Nếu bạn thích hiển thị % action thì cứ việc. Vướng chỗ nào đã có bác Hoành!



Cám ơn! lúc sáng đọc chưa kỹ bài viết của bác ssg
Trước đây cũng dùng cho cà tập hợp chọn nhưng vẫn là chprop nên chậm.
Cái của bác Nguyenhoanh đang thử nhưng chưa được chắc sai chổ nào đó

*Bản vẻ của dân xây dựng đối tượng dim đếm không xuể.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#62 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 29 October 2007 - 03:19 PM

Hỏi thêm bạn một chút: 1 bản vẽ thông thường của "dân xây dựng" có khoảng bao nhiêu đối tượng dimensions?
Mình đã sửa trình lisp của bạn như sau:
...
Chính các phần mềm "có tên tuổi", ngay cả Microsoft cũng thường làm như vậy, không thể nói là "không bài bản" được!
Tất nhiên, mỗi người đều có quan điểm riêng. Nếu bạn thích hiển thị % action thì cứ việc. Vướng chỗ nào đã có bác Hoành!

:unsure:
Cái hiển thị % này mang tính 'chơi' hơn là 'chuyên', xét về hiệu quả thì thực sự không nên.
  • 0

#63 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 29 October 2007 - 03:34 PM

*Bản vẻ của dân xây dựng đối tượng dim đếm không xuể.

Bạn dùng cái này để đếm:
(sslength (ssget "X" '((0 . "dimension"))))
  • 0

#64 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 29 October 2007 - 03:43 PM

Bạn dùng cái này để đếm:
(sslength (ssget "X" '((0 . "dimension"))))


Để đếm thì ình cũng có rồi. Ý là nói nhiều chứ không phải không có cách đếm.

Command: chond

Hay chon vung :
Select objects: Other corner: 22160 found
21087 were filtered out.
Select objects:
Tim thay: <1073> doi tuong la DIMENSION


Đây là bản vẽ phần kiến trúc công trình trường học 2 tầng, mỗi tầng 452,75 m2 theo bác ssg thì có cho là nhiều không
Con computer mua cách dây 5 năm. không rành lắm về cấu hình nghe nói tốc độ 800 chẳng biết là cái gì.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#65 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 02 November 2007 - 03:21 PM

Nhờ các bác giúp cho vòng lặp:
yêu cầu nhập vào một chuổi bằng cách gỏ bàn phím
khi nào nhập enter không (không có nội dung) thì dừng vòng lặp.
Cám ơn
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#66 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 02 November 2007 - 04:22 PM

Nhờ các bác giúp cho vòng lặp:
yêu cầu nhập vào một chuổi bằng cách gỏ bàn phím
khi nào nhập enter không (không có nội dung) thì dừng vòng lặp.
Cám ơn

Dòng lệnh như sau:
(while (/= (setq str (getstring "\nHay nhap vao chuoi: ")) "") (alert (strcat "ban vua nhap vao chuoi: " str)))
  • 0

#67 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 02 November 2007 - 04:28 PM

Dòng lệnh như sau:
(while (/= (setq str (getstring "\nHay nhap vao chuoi: ")) "") (alert (strcat "ban vua nhap vao chuoi: " str)))

CÁM ƠN !
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#68 Jin Yong

Jin Yong

    biết lệnh group

  • Vip
  • PipPipPipPipPipPip
  • 498 Bài viết
Điểm đánh giá: 334 (khá)

Đã gửi 24 December 2007 - 04:06 PM

Cho Jin hỏi về cách lấy giá trị trả về của lệnh đo diện tích Area
Jin thử dùng (setq DT (command "area")) nhưng không được!
  • 0

Phát triển phần mềm thiết kế Kết cấu Việt Nam - http://www.ketcausoft.com


#69 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 24 December 2007 - 04:36 PM

Cho Jin hỏi về cách lấy giá trị trả về của lệnh đo diện tích Area
Jin thử dùng (setq DT (command "area")) nhưng không được!

Đúng là:
(command "area")
(setq DT (getvar "area"))

ở đây có 2 thứ trùng tên, đó là lệnh area và biến hệ thống area.
biến hệ thống area sẽ lưu giá trị diện tích được tính bằng lệnh area ngay trước đó.
  • 0

#70 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 24 December 2007 - 05:45 PM

Hỏi thêm bạn một chút: 1 bản vẽ thông thường của "dân xây dựng" có khoảng bao nhiêu đối tượng dimensions?
Mình đã sửa trình lisp của bạn như sau:

(Defun c:Ckt2 ( / ss)   
(if (not (tblsearch "layer" "duongkt"))
(command "layer" "new" "duongkt" "color" "9" "duongkt" "")
)
(princ "\nSelect dimensions or areas that contain dimensions")
(setq ss (ssget '((0 . "dimension"))))
(if (null ss)
(princ "\nObjects not found!")
(command "change" ss "" "p" "la" "duongkt" "")
)
(princ)
)

Kết quả test như sau:
Cấu hình PC: Celeron 1.6GHz, 512 MB RAM
Acad: 2002
Số lượng dimensions: 1564
Thời gian xử lý bằng lệnh ckt (chưa sửa): 5 seconds
Thời gian xử lý bằng lệnh ckt2 (đã sửa): 1 seconds
Kết quả trên cho thấy, (command "change" ss ...) nhanh hơn (while... (command "chprop" e ... )) gấp nhiều lần. Và thời gian khoảng 1 seconds có cần phải hiển thị % action không?
Quan điểm của mình là đặt hiệu quả chạy chương trình lên hàng đầu, không thể vì bất cứ lý do gì mà dùng cách xử lý chậm thay cho cách xử lý nhanh! Với cấu hình PC trung bình hiện nay, nếu trình lisp xử lý một cái gì đó lâu hơn 3 seconds, mình sẽ xem xét lại thuật giải, có lẽ có cái gì đó chưa hay lắm? Nếu cần thì cũng chấp nhận, nhưng mình chỉ thông báo cho người dùng biết thời điểm bắt đầu và kết thúc quá trình xử lý. Ví dụ như:
(princ "Program is running. Please wait a moment...")
(processing....)
(princ "\nFinish!")
Nếu thấy princ chưa "ép phê" thì dùng alert.
Chính các phần mềm "có tên tuổi", ngay cả Microsoft cũng thường làm như vậy, không thể nói là "không bài bản" được!
Tất nhiên, mỗi người đều có quan điểm riêng. Nếu bạn thích hiển thị % action thì cứ việc. Vướng chỗ nào đã có bác Hoành!


Hê hê, em dùng cái lisp CNinvis mất 55 giây mới lọc xong đối tượng với file chỉ khoảng 2 MB (quả là 1 cơn ác mộng ) , vậy thì câu "nếu trình lisp xử lý một cái gì đó lâu hơn 3 seconds, mình sẽ xem xét lại thuật giải" là điều mơ ước của em với cái lisp này, có bác nào biết cách khắc phục về time thì giúp em với!!!!
  • 0

#71 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 25 December 2007 - 07:23 AM

Hê hê, em dùng cái lisp CNinvis mất 55 giây mới lọc xong đối tượng với file chỉ khoảng 2 MB (quả là 1 cơn ác mộng ) , vậy thì câu "nếu trình lisp xử lý một cái gì đó lâu hơn 3 seconds, mình sẽ xem xét lại thuật giải" là điều mơ ước của em với cái lisp này, có bác nào biết cách khắc phục về time thì giúp em với!!!!


Câu đó là của mình, đã xem xét kỹ thuật giải và... bó tay!
Cái này hơi đặc biệt, phải làm từng "chú", không gom gộp gì được. Chương trình bemove post lên lúc đầu chỉ xử lý một số lượng rất ít đối tượng được selected. Bạn yêu cầu "chơi" hàng loạt đối tượng theo màu thì phải chấp nhận. Nếu không chấp nhận được thì... đừng chơi nữa!!!
  • 0

#72 tusbi

tusbi

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 December 2007 - 01:29 AM

minh vua hoc ve cad,thay mọi người bàn về autolisp nhưng mình k hiểu muốn viết lisp thì viết ở đâu vậy.mọi người viết kĩ nhé . thanks
  • 0

#73 Jin Yong

Jin Yong

    biết lệnh group

  • Vip
  • PipPipPipPipPipPip
  • 498 Bài viết
Điểm đánh giá: 334 (khá)

Đã gửi 26 December 2007 - 08:26 AM

Đúng là:
(command "area")
(setq DT (getvar "area"))

ở đây có 2 thứ trùng tên, đó là lệnh area và biến hệ thống area.
biến hệ thống area sẽ lưu giá trị diện tích được tính bằng lệnh area ngay trước đó.


Điều éo le là LISP không thực hiện hết lệnh Area trước khi thực hiện các lệnh còn lại.

(defun c:vb ()
(command "AREA")
(setq DIENTICH (Rtos (getvar "area")))
(setq ENT (entget (car (entsel))))
(setq OLDTEXT (cdr (assoc 1 ENT)))
(setq ENT (subst (cons 1 DIENTICH) (cons 1 OLDTEXT) ENT))
(entmod ENT)
(ENtupd ENT)
)

Như đoạn code này của Jin, mục đích là thực đo diện tích và điền giá trị vào một text được chỉ định sau đó.
Nhưng kết quả là LISP gọi lệnh area rồi để đấy, thự hiện lệnh thay text bằng giá trị area được đo trước đó, rồi mới lại tiếp tục lệnh area.

Có cách gì khắc phục điều này không?
  • 0

Phát triển phần mềm thiết kế Kết cấu Việt Nam - http://www.ketcausoft.com


#74 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 26 December 2007 - 09:02 AM

minh vua hoc ve cad,thay mọi người bàn về autolisp nhưng mình k hiểu muốn viết lisp thì viết ở đâu vậy.mọi người viết kĩ nhé . thanks

Bạn tham khảo ở đây:

http://www.cadviet.com/forum/index.php?showtopic=2480

Có gì vướng mắc thì cũng nêu ở đó luôn.
  • 0

#75 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 26 December 2007 - 09:06 AM

[quote name='Jin Yong' post='10330' date='Dec 26 2007, 08:26 AM']Điều éo le là LISP không thực hiện hết lệnh Area trước khi thực hiện các lệnh còn lại.

(defun c:vb ()  
(command "AREA")
[color="#FF0000"] (while (setq p (getpoint "\nHay chon diem: " ))
(command p)
)
(command "")
[/color] (setq DIENTICH (Rtos (getvar "area")))
(setq ENT (entget (car (entsel))))
(setq OLDTEXT (cdr (assoc 1 ENT)))
(setq ENT (subst (cons 1 DIENTICH) (cons 1 OLDTEXT) ENT))
(entmod ENT)
(ENtupd ENT)
[color="#FF0000"](princ)[/color]
)

  • 0

#76 Ar_Chanwoo

Ar_Chanwoo

    biết lệnh break

  • Members
  • PipPipPipPip
  • 224 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 12 March 2008 - 09:44 AM

Có 2 cách để giải quyết vấn đề trên.

Cách 1: Bạn bỏ dòng lệnh (setvar "osmode" 0) đi, lúc này lệnh cu sẽ thực hiện sai với một số trường hợp (do bắt nhầm điểm).

Cách 2: Nếu bạn muốn giữ dòng lệnh (setvar "osmode" 0) để cu thực hiện đúng trong mọi trường hợp, bạn phải thêm đoạn mã lưu biến osmode gốc tại khởi đầu của lệnh cu:
(setq old_osmode (getvar "osmode")
old_autosnap (getvar "autosnap")
)
Và trước khi kết thúc lệnh, bạn thêm vào đoạn mã trả về giá trị osmode ban đầu:
(if old_osmode (setvar "osmode" old_osmode))
(if old_autosnap (setvar "autosnap" old_autosnap))
Như vậy, đoạn mã lệnh của bạn sẽ trở thành:

(defun c:cu()
[color="#0000FF"](setq old_osmode (getvar "osmode")
old_autosnap (getvar "autosnap")
)[/color]
(setvar "osmode" 512 )
(setq p1 (getpoint "\nfirst point :"))
(if (= nil p1)(sdor)(odor))
[color="#0000FF"](if old_osmode (setvar "osmode" old_osmode))
(if old_autosnap (setvar "autosnap" old_autosnap))
[/color]
)
(defun odor ()
(setq p2 (getpoint p1 "\nsecond point width open :"))
(setvar "osmode" 128 )
(setq p3 (getpoint p2 "\npick in wall :")
p31 (polar p1 (angle p2 p3) (distance p2 p3))
)
(setvar "osmode" 0 )
(command "line" p1 p31 "")
(setq s1 (entlast));de copy ve do cua so
(command "line" p2 p3 "" "trim" "c" p3 p1 ""
(polar p1 (angle p1 p2) (/ (distance p1 p2) 2))
(polar p31 (angle p1 p2) (/ (distance p1 p2) 2)) ""
)
(setq sel (strcase (getstring "\nWin Open <Dor> :")))
(cond ((= sel "W")(openwin))
((= sel "")(opendor))
(T (princ))
)
(princ)
)
(defun sdor ()
(setvar "osmode" 1 )
(setq p1 (getpoint "\nfirst point :"))
(setq p2 (getpoint p1 "\nsecond point width open :"))
(setvar "osmode" 128 )
(setq p3 (getpoint p2 "\npick in wall :")
p31 (polar p1 (angle p2 p3) (distance p2 p3))
)
(setvar "osmode" 0 )
(command "line" p1 p31 "")
(setq s1 (entlast)) ;de copy ve do cua so
(setq sel (strcase (getstring "\nWin Open <Dor> :")))
(cond ((= sel "W")(openwin))
((= sel "")(opendor))
(T (princ))
)
(princ)
)
;-----------
(defun opendor ()
(setq ang (getangle (polar p1 (angle p1 p2) (/ (distance p1 p2) 2)) "\ndirection open :")
nsegdor (getint "\nnumber seg dor 2 4 <1> :")
)
(cond ((= nsegdor 2)(dor2 p1 p2 ang))
((= nsegdor 4)(dor4 p1 p2 ang))
(T (dor p1 p2 ang))
)
)
;----------
(defun dor4 (p1 p2 ang)
(setq p12 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2)))
(setq p112 (polar p1 (angle p1 p12) (/ (distance p1 p12) 2)))
(setq p122 (polar p12 (angle p1 p12) (/ (distance p1 p12) 2)))
(dor p1 p112 ang)(dor p112 p12 ang)(dor p2 p122 ang)(dor p122 p12 ang)
)
;----------
(defun dor2 (p1 p2 ang)
(setq p12 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2)))
(dor p1 p12 ang)(dor p2 p12 ang)
)
;----------
(defun dor (p1 p2 ang)
(setq ps1 (polar p1 (angle p1 p2) 0.5)
ps2 (polar ps1 ang (distance p1 p2))
ps3 (polar ps2 (angle p2 p1) 0.5)
)
(command "pline" ps3 ps2 ps1 p1 ps3 ps2 "a" p2 "" )
)
;----------
(defun openwin ()
(command "line" p1 p2 "" "line" p31 p3 ""
"line" (polar p1 (angle p2 p3) (/ (distance p2 p3) 2))
(polar p2 (angle p2 p3) (/ (distance p2 p3) 2)) ""
)
(setq nsegwin (getint "\nnumber seg win :")
disseg (/ (distance p1 p2) nsegwin)
)
(setq lispoiseg nil)
(repeat (- nsegwin 1)
(setq lispoiseg (append lispoiseg (list (polar p1 (angle p1 p2) (* (- nsegwin 1) disseg))))
nsegwin (- nsegwin 1)
)
)
(command "copy" s1 "" "m" p1)
(foreach p lispoiseg (command p))
(command "")
)
(PRINC)


Vấn đề mà bạn nêu ra rất điển hình, mọi chương trình lisp sử dụng hàm command và tác động vào điểm của AutoCAD luôn gặp phải. Đoạn mã theo cách 2 trên được thực hiện trong hầu hết các lisp để giải quyết khó khăn này.





E đã dùng thử lisp trên và thấy là vẫn bị lỗi mất bắt điẻm, ko biết có phải là do e dùng sai hay ko nữa. Nhân tiện e có mấy cái lisp vẽ cửa rất đẹp e đã dùng rồi nhưng giờ sao lại không dùng đc nữa, hoặc có cái thì mẫt bắt điwmr như trên. Mong a e xem hộ e !!

http://www.cadviet.com/upfiles/Loi.rar
  • 0

#77 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 25 March 2008 - 10:44 AM

Nhờ mọi người giúp tôi các việc sau với: biết rằng cái này có nói rồi nhưng tôi vẫn chưa hiểu mong các bác thông cảm giúp thêm lần nửa nhe1
-Tôi có chuổi giatrisld muốn làm hai việc:
+Lấy ra chuổi giatri chính là giatrisld bỏ đi 3 ký tự sau cùng.
+Lấy ra chuổi giatridau chính là giatrisld bỏ đi 3 ký tự đầu tiên.

-Có cách nào lấy đường dẩn đến 1 thư mục (không phải file) bằng lisp không? Chỉ giúp tôi với.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#78 Ar_Chanwoo

Ar_Chanwoo

    biết lệnh break

  • Members
  • PipPipPipPip
  • 224 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 25 March 2008 - 11:52 AM

Ai có thế sử dụng Lisp thuvien này thì giúp mình với ! Cứ mỗi lần mở ra Cad lại bị đơ!
http://www.cadviet.c...ew_Folder_2.rar
  • 0

#79 Ar_Chanwoo

Ar_Chanwoo

    biết lệnh break

  • Members
  • PipPipPipPip
  • 224 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 26 March 2008 - 09:08 AM

Ai có thế sử dụng Lisp thuvien này thì giúp mình với ! Cứ mỗi lần mở ra Cad lại bị đơ!
http://www.cadviet.com/upfiles/New_Folder_2.rar

Ko ai có ý kiến gì ah !
  • 0

#80 vndesperados

vndesperados

    biết lệnh xref

  • Members
  • PipPipPipPipPipPipPip
  • 547 Bài viết
Điểm đánh giá: 253 (khá)

Đã gửi 26 March 2008 - 10:55 AM

???????????????



Vấn đề không nằm ở file LISP mà nằm ở file xdtf.INI
Có một ký tự bất thường

*0*Caymb*C:\Thuvien\Thuvien\caymb
*1*DÇm*C:\Thuvien\Thuvien\Dam <-- tại dòng này
*2*Khung*C:\Thuvien\Thuvien\Khung
*3*Lanhto*C:\Thuvien\Thuvien\Lanhto
*7*LinhTinh*C:\ThuVien\Thuvien\Linhtinh
Fix lại cái này đi nha.
  • 0